\documentclass[twoside]{book}

% Packages required by doxygen
\usepackage{calc}
\usepackage{doxygen}
\usepackage{graphicx}
\usepackage[utf8]{inputenc}
\usepackage{makeidx}
\usepackage{multicol}
\usepackage{multirow}
\usepackage{textcomp}
\usepackage[table]{xcolor}

% Font selection
\usepackage[T1]{fontenc}
\usepackage{mathptmx}
\usepackage[scaled=.90]{helvet}
\usepackage{courier}
\usepackage{amssymb}
\usepackage{sectsty}
\renewcommand{\familydefault}{\sfdefault}
\allsectionsfont{%
  \fontseries{bc}\selectfont%
  \color{darkgray}%
}
\renewcommand{\DoxyLabelFont}{%
  \fontseries{bc}\selectfont%
  \color{darkgray}%
}

% Page & text layout
\usepackage{geometry}
\geometry{%
  a4paper,%
  top=2.5cm,%
  bottom=2.5cm,%
  left=2.5cm,%
  right=2.5cm%
}
\tolerance=750
\hfuzz=15pt
\hbadness=750
\setlength{\emergencystretch}{15pt}
\setlength{\parindent}{0cm}
\setlength{\parskip}{0.2cm}
\makeatletter
\renewcommand{\paragraph}{%
  \@startsection{paragraph}{4}{0ex}{-1.0ex}{1.0ex}{%
    \normalfont\normalsize\bfseries\SS@parafont%
  }%
}
\renewcommand{\subparagraph}{%
  \@startsection{subparagraph}{5}{0ex}{-1.0ex}{1.0ex}{%
    \normalfont\normalsize\bfseries\SS@subparafont%
  }%
}
\makeatother

% Headers & footers
\usepackage{fancyhdr}
\pagestyle{fancyplain}
\fancyhead[LE]{\fancyplain{}{\bfseries\thepage}}
\fancyhead[CE]{\fancyplain{}{}}
\fancyhead[RE]{\fancyplain{}{\bfseries\leftmark}}
\fancyhead[LO]{\fancyplain{}{\bfseries\rightmark}}
\fancyhead[CO]{\fancyplain{}{}}
\fancyhead[RO]{\fancyplain{}{\bfseries\thepage}}
\fancyfoot[LE]{\fancyplain{}{}}
\fancyfoot[CE]{\fancyplain{}{}}
\fancyfoot[RE]{\fancyplain{}{\bfseries\scriptsize Generated on Fri Sep 16 2016 15\-:04\-:57 for D\-L\-X Project by Doxygen }}
\fancyfoot[LO]{\fancyplain{}{\bfseries\scriptsize Generated on Fri Sep 16 2016 15\-:04\-:57 for D\-L\-X Project by Doxygen }}
\fancyfoot[CO]{\fancyplain{}{}}
\fancyfoot[RO]{\fancyplain{}{}}
\renewcommand{\footrulewidth}{0.4pt}
\renewcommand{\chaptermark}[1]{%
  \markboth{#1}{}%
}
\renewcommand{\sectionmark}[1]{%
  \markright{\thesection\ #1}%
}

% Indices & bibliography
\usepackage{natbib}
\usepackage[titles]{tocloft}
\setcounter{tocdepth}{3}
\setcounter{secnumdepth}{5}
\makeindex

% Hyperlinks (required, but should be loaded last)
\usepackage{ifpdf}
\ifpdf
  \usepackage[pdftex,pagebackref=true]{hyperref}
\else
  \usepackage[ps2pdf,pagebackref=true]{hyperref}
\fi
\hypersetup{%
  colorlinks=true,%
  linkcolor=blue,%
  citecolor=blue,%
  unicode%
}

% Custom commands
\newcommand{\clearemptydoublepage}{%
  \newpage{\pagestyle{empty}\cleardoublepage}%
}


%===== C O N T E N T S =====

\begin{document}

% Titlepage & ToC
\hypersetup{pageanchor=false}
\pagenumbering{roman}
\begin{titlepage}
\vspace*{7cm}
\begin{center}%
{\Large D\-L\-X Project }\\
\vspace*{1cm}
{\large Generated by Doxygen 1.8.6}\\
\vspace*{0.5cm}
{\small Fri Sep 16 2016 15:04:57}\\
\end{center}
\end{titlepage}
\clearemptydoublepage
\tableofcontents
\clearemptydoublepage
\pagenumbering{arabic}
\hypersetup{pageanchor=true}

%--- Begin generated contents ---
\chapter{Namespace Index}
\input{namespaces}
\chapter{Design Unit Index}
\input{hierarchy}
\chapter{Design Unit Index}
\input{annotated}
\chapter{File Index}
\input{files}
\chapter{Namespace Documentation}
\input{namespacemy_types}
\input{namespaceutils}
\chapter{Class Documentation}
\input{class__utils}
\input{classregister__file__gen_1_1_a}
\input{classregister__file__gen__zero_1_1_a}
\input{class_a_l_u}
\input{class_a_l_u_1_1alu__arch}
\input{class_d_e_c_o_d_e_1_1arc}
\input{class_e_x_e_c_u_t_e_1_1arc}
\input{class_f_o_r___u_n_i_t_1_1arc}
\input{class_m_e_m_o_r_y_1_1arc}
\input{class_w_r_i_t_e___b_a_c_k_1_1arc}
\input{class_i_n_s_t_r___q_u_e_u_e_1_1arc}
\input{class_f_e_t_c_h_1_1arc}
\input{class_r_e_g___s_i_m_p_l_e_1_1beh}
\input{classprop__gen_1_1beh}
\input{class_s_h_i_f_t_e_r___g_e_n_e_r_i_c_1_1_b_e_h_a_v_i_o_r_a_l}
\input{class_f_a_1_1_b_e_h_a_v_i_o_r_a_l}
\input{class_b_r_a_n_c_h}
\input{class_b_r_a_n_c_h_1_1branch__arch}
\input{classcsel}
\input{class_c_u___m_e_m___a_r_r_a_y}
\input{classdata__path__core}
\input{class_d_e_c_o_d_e}
\input{class_d_l_x}
\input{classdlx__cu}
\input{classdlx__cu_1_1dlx__cu__fsm}
\input{classdlx__rf}
\input{class_d_l_x_1_1dlx__rtl}
\input{class_e_x_e_c_u_t_e}
\input{class_f_a}
\input{class_f_e_t_c_h}
\input{class_f_o_r___u_n_i_t}
\input{class_i_m_m_e_d_i_a_t_e___e_x_t}
\input{class_i_n_s_t_r___q_u_e_u_e}
\input{class_m_e_m_o_r_y}
\input{classmy_types}
\input{classp4__adder}
\input{classp4__csel}
\input{classprop__gen}
\input{class_r_c_a}
\input{class_r_e_g___s_i_m_p_l_e}
\input{classregister__file__gen}
\input{classregister__file__gen__zero}
\input{classs__tree}
\input{class_s_h_i_f_t_e_r___g_e_n_e_r_i_c}
\input{classcsel_1_1struct}
\input{classp4__csel_1_1struct}
\input{classdlx__rf_1_1struct}
\input{classdata__path__core_1_1struct}
\input{classp4__adder_1_1struct}
\input{class_c_u___m_e_m___a_r_r_a_y_1_1struct}
\input{classs__tree_1_1struct}
\input{class_i_m_m_e_d_i_a_t_e___e_x_t_1_1struct}
\input{class_r_c_a_1_1_s_t_r_u_c_t_u_r_a_l}
\input{classutils}
\input{class_w_r_i_t_e___b_a_c_k}
\chapter{File Documentation}
\input{000-globals_8vhd}
\input{001-aux__func_8vhd}
\input{01-generic__shifter_8vhd}
\input{a-_d_l_x_8vhd}
\input{a_8a_8a-_f_o_r___u_n_i_t_8vhd}
\input{a_8a_8b-cu__mem__array_8vhd}
\input{a_8a_8c-instr__queue_8vhd}
\input{a_8a_8d-_f_e_t_c_h_8vhd}
\input{a_8a_8e-_d_e_c_o_d_e_8vhd}
\input{a_8a_8f-_e_x_e_c_u_t_e_8vhd}
\input{a_8a_8g-_m_e_m_o_r_y_8vhd}
\input{a_8a_8h-_w_r_i_t_e___b_a_c_k_8vhd}
\input{a_8a-_c_u___f_s_m_8vhd}
\input{a_8b_8a_8a-prop__gen_8vhd}
\input{a_8b_8a_8b-fa_8vhd}
\input{a_8b_8a_8c-rca__gen_8vhd}
\input{a_8b_8a_8d-carry__sel_8vhd}
\input{a_8b_8a_8e-p4__csel_8vhd}
\input{a_8b_8a_8f-s__tree_8vhd}
\input{a_8b_8a_8g-p4__adder_8vhd}
\input{a_8b_8b-_a_l_u_8vhd}
\input{a_8b_8c-_b_r_a_n_c_h_8vhd}
\input{a_8b_8d-_i_m_m___e_x_t_8vhd}
\input{fd__gen_8vhd}
\input{registerfile__gen_8vhd}
\input{registerfile__gen__zero_8vhd}
\input{a_8b_8f-_r_f_8vhd}
\input{a_8b-_data_path_8vhd}
%--- End generated contents ---

% Index
\newpage
\phantomsection
\addcontentsline{toc}{chapter}{Index}
\printindex

\end{document}
